package domain

type AlibabaWdkMarketingOpenHeartbeatWdkMarketOpenResult struct {
	/*
	   错误编码     */
	ErrCode *string `json:"err_code,omitempty" `

	/*
	   true--成功     */
	Success *bool `json:"success,omitempty" `

	/*
	   错误描述     */
	Message *string `json:"message,omitempty" `
}

func (s *AlibabaWdkMarketingOpenHeartbeatWdkMarketOpenResult) SetErrCode(v string) *AlibabaWdkMarketingOpenHeartbeatWdkMarketOpenResult {
	s.ErrCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenHeartbeatWdkMarketOpenResult) SetSuccess(v bool) *AlibabaWdkMarketingOpenHeartbeatWdkMarketOpenResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingOpenHeartbeatWdkMarketOpenResult) SetMessage(v string) *AlibabaWdkMarketingOpenHeartbeatWdkMarketOpenResult {
	s.Message = &v
	return s
}
